Inhalte
Index 🔎︎

# Funktion Replace

Ersetzt eine Zeichenkette durch eine andere.

### Syntax:

Replace (Text As String, Suchtext As String, Ersetzung As String [, Start As Long [, Anzahl as Long [, Vergleich As Boolean]]]

### Rückgabewert:

Zeichenkette

### Parameter:

Text: Ein beliebiger zu bearbeitender Zeichenkettenausdruck.

Suchtext: Eine beliebige Zeichenkette, nach der gesucht werden soll.

Ersetzung: Eine beliebige Zeichenkette, welche den gefundenen Suchtext ersetzen soll.

Start: Ein numerischer Ausdruck, der die Position innerhalb der Zeichenkette angibt, an der die Suche beginnen soll. Der maximal zulässige Wert ist 65535.

Anzahl: Die maximale Häufigkeit, mit der das Ersetzen durchgeführt werden soll.

Vergleich: Optionaler boolescher Ausdruck, der den Vergleichstyp definiert. Der Wert dieses Parameters kann TRUE oder FALSE sein. Der Standardwert TRUE gibt einen Textvergleich an, bei dem die Groß- und Kleinschreibung nicht berücksichtigt wird. Der Wert von FALSE gibt einen binären Vergleich an, bei dem zwischen Groß- und Kleinschreibung unterschieden wird. Sie können auch 0 anstelle von FALSE oder 1 anstelle von TRUE verwenden.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

            msgbox replace ("aBbcnnbnn", "b", "$", 1, 1, FALSE)'Gibt "aB$cnnbnn" zurück
            REM Bedeutung: "b" soll ersetzt werden, aber
            REM * nur wenn ein Kleinbuchstabe (Parameter 6), deshalb das zweite Vorkommen von "b"
            REM * nur erstes (unter Beachtung der Großschreibung) Vorkommen (Parameter 5)